

# BatchExportFindings
<a name="API_BatchExportFindings"></a>

Exports a batch of findings to the connected issue tracker as issues.

## Request Syntax
<a name="API_BatchExportFindings_RequestSyntax"></a>

```
POST /BatchExportFindings HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "{{string}}",
   "codeReviewJobId": "{{string}}",
   "findingIds": [ "{{string}}" ],
   "issueDestination": { 
      "integrationId": "{{string}}",
      "projectKey": "{{string}}"
   },
   "pentestJobId": "{{string}}"
}
```

## URI Request Parameters
<a name="API_BatchExportFindings_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_BatchExportFindings_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_BatchExportFindings_RequestSyntax) **   <a name="securityagent-BatchExportFindings-request-agentSpaceId"></a>
The identifier of the agent space where the job exists.  
Type: String  
Required: Yes

 ** [codeReviewJobId](#API_BatchExportFindings_RequestSyntax) **   <a name="securityagent-BatchExportFindings-request-codeReviewJobId"></a>
The identifier of the code review job. This parameter is mutually exclusive with `pentestJobId`.  
Type: String  
Required: No

 ** [findingIds](#API_BatchExportFindings_RequestSyntax) **   <a name="securityagent-BatchExportFindings-request-findingIds"></a>
The identifiers of the findings to export. Each must belong to the specified job.  
Type: Array of strings  
Required: Yes

 ** [issueDestination](#API_BatchExportFindings_RequestSyntax) **   <a name="securityagent-BatchExportFindings-request-issueDestination"></a>
The destination issue-tracker project the findings are exported to. Must be a connected capability of the agent space.  
Type: [IssueDestination](API_IssueDestination.md) object  
Required: Yes

 ** [pentestJobId](#API_BatchExportFindings_RequestSyntax) **   <a name="securityagent-BatchExportFindings-request-pentestJobId"></a>
The identifier of the penetration test job. This parameter is mutually exclusive with `codeReviewJobId`.  
Type: String  
Required: No

## Response Syntax
<a name="API_BatchExportFindings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "code": "string",
         "findingId": "string",
         "message": "string"
      }
   ],
   "results": [ 
      { 
         "findingId": "string",
         "linkedIssue": { 
            "integrationId": "string",
            "issueId": "string",
            "issueKey": "string",
            "issueUrl": "string",
            "projectKey": "string",
            "provider": "string",
            "siteUrl": "string"
         }
      }
   ]
}
```

## Response Elements
<a name="API_BatchExportFindings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_BatchExportFindings_ResponseSyntax) **   <a name="securityagent-BatchExportFindings-response-errors"></a>
The findings whose issue could not be created, each with a customer-facing reason.  
Type: Array of [BatchExportFindingError](API_BatchExportFindingError.md) objects

 ** [results](#API_BatchExportFindings_ResponseSyntax) **   <a name="securityagent-BatchExportFindings-response-results"></a>
The findings whose issue was created, each with its linked issue.  
Type: Array of [BatchExportFindingResult](API_BatchExportFindingResult.md) objects

## Errors
<a name="API_BatchExportFindings_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.    
 ** message **   
Error description.
HTTP Status Code: 403

 ** ConflictException **   
The request could not be completed due to a conflict with the current state of the resource.    
 ** message **   
Error description.
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during the processing of your request.    
 ** message **   
Error description.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.    
 ** message **   
Error description.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request exceeds a service quota. Review your current usage and request a quota increase if needed.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** message **   
Error description.  
 ** quotaCode **   
Quota code for throttling limit.  
 ** serviceCode **   
Service code for throttling limit.
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.    
 ** fieldList **   
A list of specific failures encountered during validation.  
 ** message **   
A summary of the validation failure.
HTTP Status Code: 400

## See Also
<a name="API_BatchExportFindings_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for Python (Boto3)](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/BatchExportFindings) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/BatchExportFindings) 